### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-table/ecl-table.directive.ts`

### Extends

`EclBaseEvent`

### Index

###### Properties
Public columnId Public sortOrder
###### Methods
preventDefault

### Constructor

`constructor(sortOrder: SortOrder, columnId: string)`
Parameters :
Name | Type | Optional
sortOrder | `SortOrder` | No
columnId | `string` | No

### Properties

Public columnId
Type : `string`

Public sortOrder
Type : `SortOrder`

### Methods

preventDefault
`preventDefault()`
Returns : `void`

# result-matching ""

# No results matching ""